%define name    fuse
%define version 0.6.1.1
%define release 5mdk

Name: %{name}
Summary: The Free Unix Spectrum Emulator (Fuse)
Version: %{version}
Release: %{release}
License: GPL
URL: http://www.srcf.ucam.org/~pak21/spectrum/fuse.html
Source: http://www.srcf.ucam.org/~pak21/spectrum/%{name}-%{version}.tar.gz
Source1: %{name}-16x16.png
Source2: %{name}-32x32.png
Source3: %{name}-48x48.png
Group: Emulators
BuildRequires: libxml2-devel libdsk-devel lib765-devel libspectrum-devel libgcrypt-devel libgtk+-devel libz-devel libbzip2-devel libpng-devel XFree86-devel flex bison perl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
What Fuse does have:

* Working 16K/48K/128K/+2/+2A/+3 Speccy, Timex TC2048/TC2068 and
  Pentagon 128 emulation, running at true Speccy speed on any computer
  you're likely to try it on.
* Support for loading from .tzx files.
* Sound (on systems supporting the Open Sound System, something
  like OpenBSD or Solaris's /dev/audio, or SDL).
* Kempston joystick emulation.
* Emulation of some of the printers you could attach to a Spectrum.
* Support for the RZX input recording file format, including
  `competition mode'.

What Fuse doesn't have:

* Emulation of any other peripherals (bar the tape deck)
* ...

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall
install -d %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/fuse
?package(fuse):command="/usr/bin/fuse" icon="fuse.png" needs="X11" section="Applications/Emulators" title="Fuse" longtitle="The Free Unix Spectrum Emulator" accept_url="false" multiple_files="false"
EOF
install -d %{buildroot}/%{_miconsdir}
install -d %{buildroot}/%{_iconsdir}
install -d %{buildroot}/%{_liconsdir}
cp %{SOURCE1} %{buildroot}/%{_miconsdir}/%{name}.png
cp %{SOURCE2} %{buildroot}/%{_iconsdir}/%{name}.png
cp %{SOURCE3} %{buildroot}/%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README THANKS COPYING AUTHORS ChangeLog
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/fuse
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_menudir}/%name

%changelog
* Wed Jan  7 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.6.1.1-5mdk
- rebuild
- DIRM fix

* Mon Dec 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1.1-4mdk
- cleanup
- contrib introduction

* Wed Nov 5 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1.1-3mdk
- changed the size of normal icon to 32x32 pixels
- icons repackaged into a single tar.bz2 archive
- added bison to BuildRequires

* Sat Nov 1 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1.1-2mdk
- added normal and large sized icons
- made some fixes and cosmetic changes to the spec file

* Thu Sep 2 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1.1-1mdk
- new version
- added libgcrypt1-devel to BuildRequires
- changed libspectrum0-devel into libspectrum2-devel in BuildRequires

* Wed Jun 4 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0.1-1mdk
- version update (security fix)

* Wed May 28 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-4mdk
- added icon

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-3mdk
- added BuildRequires

* Tue May 20 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-2mdk
- fixed xml support so configuration saving is now available

* Sun Apr 27 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-1mdk
- new version

* Thu Apr 24 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.5.1-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1
